macProVideo.com
Forums
  • Student469074
    Posts: 1
    Joined: Sep 17th, 2020
    Logic Pro X 10.3.1
    Hello, I returned to using my old iMac and can only update to High Sierra 10.13.2. What version of Logic Pro X should I use is Logic Pro X 10.3.1 ?? I can't find it anywhere to download = (
    Reply
  • Joe A
    Posts: 1211
    Joined: Oct 1st, 2013
    Re: Logic Pro X 10.3.1
    I think Logic up to 10.4.8 worked on High Sierra -- 5.0+ requires Mojave or higher. If your computer doesn't support OS versions beyond High Sierra, but you might be able to upgrade to 10.4.8 (?), but Apple usually doesn't provide older versions of software once the new version is out. However it might be worth putting a call in to them..
    Reply
You must be logged in to post a reply
Subscribe to receive an email for each new post on this thread. Please login
Recent Threads
Recent Posts
Feedback
Course Advisor
Don't Know Where To Start?
Ask A Course Advisor
Ask Us!
Copy the link below and paste it into an email, forum, or Facebook to share this with your friends.
Make money when you share our links
Become a macProVideo.com Affiliate!
The current affiliate rate is: 50%
Classes Start Next Week!
Live 8-week Online Certification Classes for: